Bug 11021 - gdmlogin core dumps
gdmlogin core dumps
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-24 19:30 EDT by Remko Molier
Modified: 2008-05-01 11:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-18 17:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core file generated by gdmlogin (200.54 KB, application/octet-stream)
2000-04-24 19:33 EDT, Remko Molier
no flags Details

  None (edit)
Description Remko Molier 2000-04-24 19:30:48 EDT
When gdm is launched, it gets itself into a loop where it continually
starts X Windows, shows the RedHat logo, then shuts X down.  The only way
to stop it is Ctrl-Alt-Delete, since it even seems to commandeer the
ability to switch to other virtual consoles.

After some digging around, I found a core in /var/gdm that, according to
gdb, belonged to gdmlogin.  Here's the trace:

#0  0x4024366e in gtk_label_finalize_lines () from /usr/lib/libgtk-1.2.so.0
#1  0x40243ce2 in gtk_label_size_request () from /usr/lib/libgtk-1.2.so.0
#2  0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#3  0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#4  0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#5  0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#6  0x4028b8ac in gtk_table_size_request_init () from
/usr/lib/libgtk-1.2.so.0
#7  0x4028b3e1 in gtk_table_size_request () from /usr/lib/libgtk-1.2.so.0
#8  0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#9  0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#10 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#11 0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#12 0x4028b8ac in gtk_table_size_request_init () from
/usr/lib/libgtk-1.2.so.0
#13 0x4028b3e1 in gtk_table_size_request () from /usr/lib/libgtk-1.2.so.0
#14 0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#15 0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#16 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#17 0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#18 0x402a335f in gtk_vbox_size_request () from /usr/lib/libgtk-1.2.so.0
#19 0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#20 0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#21 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#22 0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#23 0x4023569e in gtk_frame_size_request () from /usr/lib/libgtk-1.2.so.0
#24 0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#25 0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#26 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#27 0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#28 0x4023569e in gtk_frame_size_request () from /usr/lib/libgtk-1.2.so.0
#29 0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#30 0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#31 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#32 0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#33 0x402b5c5b in gtk_window_size_request () from /usr/lib/libgtk-1.2.so.0
#34 0x4024ed25 in gtk_marshal_NONE__POINTER () from
/usr/lib/libgtk-1.2.so.0
#35 0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#36 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#37 0x402ad7a8 in gtk_widget_size_request () from /usr/lib/libgtk-1.2.so.0
#38 0x402b5589 in gtk_window_show () from /usr/lib/libgtk-1.2.so.0
#39 0x4024eefd in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#40 0x4027b8fb in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#41 0x40279b95 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#42 0x402ab58c in gtk_widget_show () from /usr/lib/libgtk-1.2.so.0
#43 0x402101c5 in gtk_container_show_all () from /usr/lib/libgtk-1.2.so.0
#44 0x402abbc6 in gtk_widget_show_all () from /usr/lib/libgtk-1.2.so.0
#45 0x804ed89 in _start ()
#46 0x804f24a in main ()
#47 0x403ff9cb in __libc_start_main (main=0x804f1d0 <main>, argc=3,
    argv=0xbffffb54, init=0x804adbc <_init>, fini=0x804f7ec <_fini>,
    rtld_fini=0x4000ae60 <_dl_fini>, stack_end=0xbffffb4c)
    at ../sysdeps/generic/libc-start.c:92

I'll send you the core if I can figure out how to.

Note that kdm works on this machine, and I can use it to log into GNOME.
I've also successfully installed and used GNOME on another machine.
Comment 1 Anonymous 2000-04-24 19:33:59 EDT
Created attachment 211 [details]
core file generated by gdmlogin
Comment 2 Anonymous 2000-04-24 19:35:59 EDT
That core file I just attached was compressed with gzip first, i.e. its real
filename is core.gz
Comment 3 Havoc Pennington 2001-07-12 16:33:23 EDT
gdm in rawhide is much better behaved.

Note You need to log in before you can comment on or make changes to this bug.